// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosBankIdentPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosBankIdentPlugin", targets: ["WebIdIosBankIdentPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "XS2AiOS",
            url: "https://github.com/FinTecSystems/xs2a-ios",
            .exact("1.15.7")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("11.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosBankIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/internal/de/webid-solutions/WebIdIosBankIdentPlugin/10.0.1/WebIdIosBankIdentPlugin.framework-v10.0.1.zip",
            checksum: "c57b8672311dcd1d292d2f70666b9bf2f02ae261523e39c278b3a1ce646b8ca6"
        ),
        .target(
            name: "WebIdIosBankIdentPluginWrapper",
            dependencies: [
                .target(name: "WebIdIosBankIdentPlugin"),
                // [target dependecies here]
                
                .product(name: "XS2AiOS", package: "XS2AiOS"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
